## davical 0.9.6.2

=== Makefile ===
#!/usr/bin/make -f
# 

package=davical
version=$(shell cat VERSION)

all: inc/always.php built-docs built-po

built-docs: docs/api/phpdoc.ini htdocs/*.php inc/*.php
	phpdoc -c docs/api/phpdoc.ini || echo "NOTICE: Failed to build optional API docs"
	touch built-docs

built-po: built-docs inc/always.php scripts/po/rebuild-translations.sh scripts/po/extract.pl po/*.po
	scripts/po/rebuild-translations.sh
	touch built-po

#
# Insert the current version number into always.php
#
inc/always.php: VERSION inc/always.php.in
	sed -e "/^ *.c->version_string *= *'[^']*' *;/ s/^ *.c->version_string *= *'[^']*' *;/\$$c->version_string = '`head -n1 VERSION`';/" <inc/always.php.in >inc/always.php

#
# Build a release .tar.gz file in the directory above us
#
release: built-docs
	-ln -s . $(package)-$(version)
	tar czf ../$(package)-$(version).tar.gz \
	    --no-recursion --dereference $(package)-$(version) \
	    $(shell git-ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" )
	rm $(package)-$(version)
	
clean:
	rm -f built-docs built-po
	-find . -name "*~" -delete
	
clean-all: clean
	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete

.PHONY:  all clean release

=== debian/changelog ===
davical (0.9.6.2) unstable; urgency=low

  * Fix creation of database when template1 has pl/pgsql installed.
  * Improvements to regression testing.
  * Switch to use iCalComponent object rather than iCalendar, in many cases.
  * Calculate DTEND when it is not set according to RFC2445.
  * Much improved XML namespace handling.
  * Configuration setting to control whether I should see appointments where I
    am organizer/attendee, even if they are PRIVATE and not in my own calendar.
  * Updated French translation (closes: #505861)
  * Add facility to delete collections through the management interface.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 18 Nov 2008 18:33:17 +1300

davical (0.9.6.1) unstable; urgency=low

  * Fix LOCK timeout handling.
  * Handle match on calendar-home-set in principal-property-search REPORT.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 02 Nov 2008 23:17:12 +1300

davical (0.9.6) unstable; urgency=low

  * Corect debian/control dependencies.
  * GET request for a collection URL with no events will now return an empty
    VCALENDAR rather than a 404
  * Added free/busy permission handling to the POST free/busy request handler

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 01 Nov 2008 11:02:41 +1300

davical (0.9.5.91) unstable; urgency=low

  * Enable headers for caldav scheduling.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 29 Oct 2008 08:48:26 +1300

davical (0.9.5.90) unstable; urgency=low

  * Updated french debconf templates (closes: #501266)
  * Add support for Apple getctag extensions.
  * Add configuration to allow disabling PUT of collection.
  * Extension of caldav-client.php inspired by Daniel Serrabou.
  * Bugfix for importing of events with multiple VEVENT modifiers.
  * Support for POST freebusy request.
  * Convert RRule functions to newer PostgreSQL function syntax.
  * Add support for proposed calendar-user-principal property.
  * Bugfixes and coverage improvements in recurrence rule calculations.
  * Cleaned up lots of uninitialised variable warnings.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 28 Oct 2008 20:43:21 +1300

davical (0.9.5.3) unstable; urgency=low

  * Fix translation inefficiencies (closes: #495307)
  * Add the built docs into the source, since PhpDocumentor is not in Debian.
  * Fixes for lintian cleanliness.
  * Renaming stuff from RSCDS to DAViCal.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 18 Sep 2008 00:14:08 +1200

davical (0.9.5.2) unstable; urgency=low

  * Fix license text for Debian acceptance.
  * Minor packaging tweaks identified by Debian acceptance procedures.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 05 Aug 2008 09:43:01 +1200

davical (0.9.5.1) unstable; urgency=low

  * The name is changing from rscds to davical.
  * Fix typo in ldap driver.
  * Remove common problem-causing things from sample config.
  * Improve query for events in a time period.
  * Allow for authentication to be external.
  * Finally upload to Debian (closes: #490444)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 14 Jul 2008 21:30:06 +1200

rscds (0.9.5) unstable; urgency=low

  * Allow users to delete their own relationships, not just admin.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 07 May 2008 21:29:39 +1200

rscds (0.9.4.5) unstable; urgency=low

  * Fix quoting in create database script.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 05 May 2008 15:42:09 +1200

rscds (0.9.4.4) unstable; urgency=low

  * Fix dependencies for postgresql-client.
  * Fix bug with deletion of relationships.
  * Add updated German translation from Sykosch Arnold.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 05 May 2008 15:40:25 +1200

rscds (0.9.4.3) unstable; urgency=low

  * Work on making the installation process more foolproof.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 13 Apr 2008 01:02:05 +1200

rscds (0.9.4.2) unstable; urgency=low

  * Add Japanese translation by Shu NAKAMAE
  * Reverse logic for maintenance of user relationships.
  * Rationalise package dependencies.
  * Improve translatability of admin interface.
  * Bug fixes and enhancements to LDAP driver.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 12 Apr 2008 21:16:57 +1200

rscds (0.9.4) unstable; urgency=low

  * Performance improvements to get_permissions()
  * Further performance improvements from bypassing get_permissions()
  * Other performance improvements from refactoring queries
  * Fix to .ics import to handle timezones correctly.
  * Work around issues introduced when open_basedir is enabled.
  * More rscds => davical renaming.
  * Create users for the database for DBA and application use during
    installation.
  * Work around differences in authentication when PHP is used with FastCGI
  * Fixes to CONFIDENTIAL event handling.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 09 Feb 2008 22:44:42 +1300

rscds (0.9.3) unstable; urgency=low

  * Start renaming to DAViCal internally and in documentation.
  * Fix handling of CONFIDENTIAL events
  * Fixes to support iCal 3.0.1 and later.
  * Changes to support SOHO Organizer
  * Change style of response to Freebusy queries
  * Various refactoring.
  * Use relative URLs where possible and refactor to use URL formatting
    routine.
  * Start to implement structured support for DAV Principals
  * Fixes to timezone handling.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 23 Jan 2008 18:42:49 +1300

rscds (0.9.2) unstable; urgency=low

  * Add support for principal-url and calendar-home-set properties.
  * All events should be PUBLIC unless CLASS specifies otherwise.
  * Calendars can now be set such that all events are PUBLIC.
  * Add support for automatically added relationships.
  * Make some use of the improvements to the iCalendar class.
  * Working with iCal 3.0 from Mac OS 10.5.
  * Refactoring of driver code for LDAP and external AWL DB.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 04 Nov 2007 23:31:10 +1300



=== debian/control ===
Source: davical
Section: web
Priority: extra
Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5)
Vcs-git: git://repo.or.cz/srv/git/davical.git
Vcs-browser: http://repo.or.cz/w/davical.git
Homepage: http://davical.org/

Package: davical
Architecture: all
Depends: debconf (>= 1.0.32), php5 | php4 (>= 4:4.3), php5-pgsql | php4-pgsql(>= 3:4.3.0), postgresql-client (>= 7.4) | postgresql-client-8.3 | postgresql-client-8.2 | postgresql-client-8.1, libawl-php (>=0.33), libclass-dbi-pg-perl, php5 | php4-domxml, libyaml-perl
Conflicts: rscds
Description: The DAViCal CalDAV Server
 The DAViCal CalDAV Server is designed to trivially store
 CalDAV calendars, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal or SOHO Organizer, in a central location, providing
 shared calendars, free/busy publication and basic administration

Package: davical-doc
Section: doc
Architecture: all
Depends: 
Description: The DAViCal CalDAV Server - documentation
 The DAViCal CalDAV Server is designed to trivially store
 CalDAV calendars, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal or SOHO Organizer, in a central location, providing
 shared calendars, free/busy publication and basic administration
 .
 This package contains detailed technical documentation for the
 classes and methods in the DAViCal programs.  Some user-centric
 configuration documentation is also included.

=== debian/rules ===
#!/usr/bin/make -f
#
# rules for DAViCal
#
# This file allows you to build any of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	-rm -f build

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	dh_install

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs --exclude=.gitignore
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_undocumented
#	dh_strip
#	dh_link
	dh_compress --exclude=.js
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary-common binary install

## davical 0.9.7-0

=== debian/changelog ===
davical (0.9.7-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 22 Jun 2009 13:56:14 +1200

davical (0.9.6.3) unstable; urgency=low

  * General bug fixing.
  * Added Italian locale from Alessandro De Zorzi
  * Adjust timezone handling in regression testing (Markus Warg).
  * Many fixes to caldav-client from Michael Rasmussen.
  * Update caldav-client to use direct socket IO from Andres Obrero.
  * Added dummy handler for POST CANCEL events for iCal compatibilty (Wolfgang Herget).
  * Support usernames with spaces or punctuation.
  * Correct errors in handling confidential events.
  * Improved response to GET for calendar with a single event.
  * Documentation corrections.
  * Remove the misguided hide_todo configuration option.
  * Fix a bug in hiding alarms.
  * Deprecate 'collections_always_exist' config option and restrict it's scope.
  * Updated French translation.
  * Updated relational integrity constraints.
  * Fix database versioning.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 10 Apr 2009 23:55:18 +1200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: web
 Priority: extra
 Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Build-Depends: debhelper (>= 5)
-Vcs-git: git://repo.or.cz/srv/git/davical.git
+Vcs-git: git://repo.or.cz/davical.git
 Vcs-browser: http://repo.or.cz/w/davical.git
 Homepage: http://davical.org/
 
 Package: davical
 Architecture: all
-Depends: debconf (>= 1.0.32), php5 | php4 (>= 4:4.3), php5-pgsql | php4-pgsql(>= 3:4.3.0), postgresql-client (>= 7.4) | postgresql-client-8.3 | postgresql-client-8.2 | postgresql-client-8.1, libawl-php (>=0.33), libclass-dbi-pg-perl, php5 | php4-domxml, libyaml-perl
+Depends: debconf (>= 1.0.32), php5, php5-pgsql, postgresql-client-8.3 | postgresql-client-8.2 | postgresql-client-8.1, libawl-php (=0.37), libclass-dbi-pg-perl, libyaml-perl
 Conflicts: rscds
 Description: The DAViCal CalDAV Server
  The DAViCal CalDAV Server is designed to trivially store

## davical 0.9.7.6

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	-ln -s . $(package)-$(version)
 	tar czf ../$(package)-$(version).tar.gz \
 	    --no-recursion --dereference $(package)-$(version) \
-	    $(shell git-ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
+	    $(shell git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
 	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" )
 	rm $(package)-$(version)

## davical 0.9.9.4

=== Makefile ===
#!/usr/bin/make -f
#

package=davical
version=$(shell cat VERSION)

all: htdocs/always.php built-docs built-po

built-docs: docs/api/phpdoc.ini htdocs/*.php inc/*.php
	phpdoc -c docs/api/phpdoc.ini || echo "NOTICE: Failed to build optional API docs"
	touch built-docs

built-po: htdocs/always.php scripts/po/rebuild-translations.sh scripts/po/extract.pl po/*.po
	scripts/po/rebuild-translations.sh
	touch built-po

#
# Insert the current version number into always.php
#
htdocs/always.php: scripts/build-always.sh VERSION dba/davical.sql inc/always.php.in
	scripts/build-always.sh <inc/always.php.in >htdocs/always.php

#
# Build a release .tar.gz file in the directory above us
#
release: built-docs VERSION
	-ln -s . $(package)-$(version)
	tar czf ../$(package)-$(version).tar.gz \
	    --no-recursion --dereference $(package)-$(version) \
	    $(shell git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" )
	rm $(package)-$(version)

clean:
	rm -f built-docs built-po
	-find . -name "*~" -delete

clean-all: clean
	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete

.PHONY:  all clean release

## davical 0.9.9.5

=== Makefile ===
#!/usr/bin/make -f
#

package=davical
majorversion = $(shell sed -n 's:\([0-9\.]*\)[-a-f0-9-]*:\1:p' VERSION)
gitrev = 0
version = $(majorversion)
issnapshot = 0
snapshot : gitrev = $(shell git rev-parse --short HEAD)
snapshot : version = $(majorversion)-git$(gitrev)
snapshot : issnapshot = 1

nodocs: htdocs/always.php built-po

all: htdocs/always.php built-docs built-po

built-docs: docs/api/phpdoc.ini htdocs/*.php inc/*.php docs/translation.rst
	phpdoc -c docs/api/phpdoc.ini || echo "NOTICE: Failed to build optional API docs"
	rst2pdf docs/translation.rst || echo "NOTICE: Failed to build ReST docs"
	touch built-docs

built-po: htdocs/always.php scripts/po/rebuild-translations.sh po/*.po
	scripts/po/rebuild-translations.sh
	touch built-po

#
# Insert the current version number into always.php
#
htdocs/always.php: scripts/build-always.sh VERSION dba/davical.sql inc/always.php.in
	scripts/build-always.sh <inc/always.php.in >htdocs/always.php

#
# Build a release .tar.gz file in the directory above us
#
release: built-docs VERSION
	-ln -s . $(package)-$(version)
	sed 's:@@VERSION@@:$(majorversion):' davical.spec.in | \
	sed 's:@@ISSNAPSHOT@@:$(issnapshot):' | \
	sed 's:@@GITREV@@:$(gitrev):' > davical.spec
	echo "git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:"
	tar czf ../$(package)-$(version).tar.gz \
	    --no-recursion --dereference $(package)-$(version) \
	    $(shell git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" ) \
	    davical.spec
	rm $(package)-$(version)

snapshot: release

clean:
	rm -f built-docs built-po
	-find . -name "*~" -delete
	-rm docs/translation.pdf
	-rm davical.spec

clean-all: clean
	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete

.PHONY:  all clean release

## davical 0.9.9.6-1

=== debian/changelog ===
davical (0.9.9.6-1) unstable; urgency=low

  * New upstream release (closes:#628566,#619513,#619477,#619515,#641591)
  * Switch to dpkg-source 3.0 (native) format

 -- Andrew McMillan <awm@debian.org>  Tue, 27 Sep 2011 12:26:37 +1300

davical (0.9.9.5-1) unstable; urgency=low

  * New upstream release (closes:#610612, #639262)

 -- Andrew McMillan <awm@debian.org>  Tue, 13 Sep 2011 13:15:50 +1200

davical (0.9.9.4-1) unstable; urgency=low

  * New upstream release
  * Run update-davical-database in postinst (closes: #578357)
  * Remove ancient references to rscds package.

 -- Andrew McMillan <awm@debian.org>  Tue, 28 Dec 2010 02:15:56 +1300

davical (0.9.9.3-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <awm@debian.org>  Fri, 24 Sep 2010 12:50:41 +1200

davical (0.9.9.2-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <awm@debian.org>  Tue, 21 Sep 2010 14:28:04 +1200

davical (0.9.9.1-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 13 Sep 2010 21:30:32 +1200

davical (0.9.9-0) unstable; urgency=low

  * New upstream release (closes: #508673, #573687)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 17 Apr 2010 13:19:24 +1200

davical (0.9.8.4-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 09 Mar 2010 09:51:07 +1300

davical (0.9.8.3-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 25 Feb 2010 11:39:05 +1300

davical (0.9.8.2-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 23 Feb 2010 23:26:10 +1300

davical (0.9.8.1-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 05 Feb 2010 08:51:01 -0800

davical (0.9.8-0) unstable; urgency=low

  * New upstream release (closes: #561288, #561285)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 25 Dec 2009 00:49:47 +1300

davical (0.9.7.6-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 24 Oct 2009 12:42:37 +1300

davical (0.9.7.5-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 22 Oct 2009 20:15:38 +1300

davical (0.9.7.4-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 07 Oct 2009 17:03:14 -0700

davical (0.9.7.3-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 06 Oct 2009 12:41:48 -0700

davical (0.9.7.2-0) unstable; urgency=low

  * New upstream version.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 12 Sep 2009 10:33:57 +1200

davical (0.9.7.1-0) unstable; urgency=low

  * New upstream release.
  * Updated french translation from Christian Perrier (closes: #537715)
  * Allow postgresql-client-8.4 as a possible dependency.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 24 Aug 2009 12:32:51 +1200

=== debian/control ===
Source: davical
Section: web
Priority: extra
Maintainer: Andrew McMillan <awm@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libawl-php, gettext
Vcs-git: git://repo.or.cz/davical.git
Vcs-browser: http://repo.or.cz/w/davical.git
Homepage: http://davical.org/

Package: davical
Architecture: all
Depends: ${misc:Depends}, debconf (>= 1.0.32), php5-pgsql, postgresql-client (>= 8.1), libawl-php (>= 0.48-1~), libawl-php (<< 0.49), libdbd-pg-perl, libyaml-perl
Recommends: postgresql (>= 8.3)
Description: The DAViCal CalDAV Server
 The DAViCal CalDAV Server is designed to trivially store
 CalDAV calendars, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal, iPhone or SOHO Organizer, in a central location,
 providing shared calendars, free/busy publication and a basic
 administration interface.

Package: davical-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: The DAViCal CalDAV Server - documentation
 The DAViCal CalDAV Server is designed to trivially store
 CalDAV calendars, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal or SOHO Organizer, in a central location, providing
 shared calendars, free/busy publication and basic administration
 .
 This package contains detailed technical documentation for the
 classes and methods in the DAViCal programs.  Some user-centric
 configuration documentation is also included.

## davical 0.9.9.7-1

=== debian/changelog ===
davical (0.9.9.7-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Mon, 24 Oct 2011 20:09:10 +1300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: davical
 Architecture: all
-Depends: ${misc:Depends}, debconf (>= 1.0.32), php5-pgsql, postgresql-client (>= 8.1), libawl-php (>= 0.48-1~), libawl-php (<< 0.49), libdbd-pg-perl, libyaml-perl
+Depends: ${misc:Depends}, debconf (>= 1.0.32), php5-pgsql, postgresql-client (>= 8.1), libawl-php (>= 0.49-1~), libawl-php (<< 0.50), libdbd-pg-perl, libyaml-perl
 Recommends: postgresql (>= 8.3)
 Description: The DAViCal CalDAV Server
  The DAViCal CalDAV Server is designed to trivially store

## davical 1.0.2-1

=== debian/changelog ===
davical (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * New release to Debian (closes:#643809, #618957).

 -- Andrew McMillan <awm@debian.org>  Fri, 13 Jan 2012 23:44:36 +1300

davical (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Thu, 05 Jan 2012 12:07:18 +1300

davical (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Wed, 04 Jan 2012 16:41:50 +1300

=== debian/control ===
Source: davical
Section: web
Priority: extra
Maintainer: Andrew McMillan <awm@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), libawl-php, gettext
Vcs-git: git://repo.or.cz/davical.git
Vcs-browser: http://repo.or.cz/w/davical.git
Homepage: http://davical.org/

Package: davical
Architecture: all
Depends: ${misc:Depends}, debconf (>= 1.0.32), php5-pgsql, postgresql-client (>= 8.1), libawl-php (>= 0.51-1~), libawl-php (<< 0.52), libdbd-pg-perl, libyaml-perl
Recommends: postgresql (>= 8.3)
Description: The DAViCal CalDAV & CardDAV Server
 The DAViCal CalDAV Server is designed to store CalDAV calendars and
 CardDAV addressbooks, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal, iPhone or SOHO Organizer, in a central location,
 providing shared calendars, free/busy publication and a
 basic administration interface.

Package: davical-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: The DAViCal CalDAV & CardDAV Server - technical documentation
 The DAViCal CalDAV Server is designed to store CalDAV calendars and
 CardDAV addressbooks, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal, iPhone or SOHO Organizer, in a central location,
 providing shared calendars, free/busy publication and a
 basic administration interface.
 .
 This package contains detailed technical documentation for the
 classes and methods in the DAViCal programs.  Some user-centric
 configuration documentation is also included.

## davical 1.1.1-1

=== Makefile ===
#!/usr/bin/make -f
#

package := davical
majorversion := $(shell sed -n 's:\([0-9\.]*\)[-a-f0-9-]*:\1:p' VERSION)
gitrev := 0
version := $(majorversion)
issnapshot := 0
snapshot : gitrev = $(shell git rev-parse --short HEAD)
snapshot : version = $(majorversion)-git$(gitrev)
snapshot : issnapshot = 1

.PHONY: nodocs
nodocs: htdocs/always.php built-po

.PHONY: all
all: htdocs/always.php built-docs built-po

built-docs: docs/api/phpdoc.ini htdocs/*.php inc/*.php docs/translation.rst
	phpdoc -c docs/api/phpdoc.ini || echo "NOTICE: Failed to build optional API docs"
	rst2pdf docs/translation.rst || echo "NOTICE: Failed to build ReST docs"
	touch $@

built-po: htdocs/always.php scripts/po/rebuild-translations.sh po/*.po
	scripts/po/rebuild-translations.sh
	touch $@

#
# Insert the current version number into always.php
#
htdocs/always.php: inc/always.php.in scripts/build-always.sh VERSION dba/davical.sql
	scripts/build-always.sh <$< >$@

#
# Build a release .tar.gz file in the directory above us
#
.PHONY: release
release: built-docs VERSION
	-ln -s . $(package)-$(version)
	sed 's:@@VERSION@@:$(majorversion):' davical.spec.in | \
	sed 's:@@ISSNAPSHOT@@:$(issnapshot):' | \
	sed 's:@@GITREV@@:$(gitrev):' > davical.spec
	echo "git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:"
	tar czf ../$(package)-$(version).tar.gz \
	    --no-recursion --dereference $(package)-$(version) \
	    $(shell git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" ) \
	    davical.spec
	rm $(package)-$(version)

.PHONY: snapshot
snapshot: release

.PHONY: clean
clean:
	rm -f built-docs built-po
	-find . -name "*~" -delete
	-rm docs/translation.pdf
	-rm davical.spec

.PHONY: clean-all
clean-all: clean
	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete

=== debian/changelog ===
davical (1.1.1-1) unstable; urgency=high

  * New upstream release (closes:#656392)

 -- Andrew McMillan <awm@debian.org>  Mon, 09 Jul 2012 01:11:10 +1200

davical (1.1.0-1) unstable; urgency=low

  * New upstream release
  * New release to Debian (closes:#668980, #661985).

 -- Andrew McMillan <awm@debian.org>  Sun, 17 Jun 2012 23:01:18 +1200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: davical
 Architecture: all
-Depends: ${misc:Depends}, debconf (>= 1.0.32), php5-pgsql, postgresql-client (>= 8.1), libawl-php (>= 0.51-1~), libawl-php (<< 0.52), libdbd-pg-perl, libyaml-perl
+Depends: ${misc:Depends}, debconf (>= 1.0.32), php5-pgsql, postgresql-client (>= 8.1), libawl-php (>= 0.53-1~), libawl-php (<< 0.54), libdbd-pg-perl, libyaml-perl
 Recommends: postgresql (>= 8.3)
 Description: The DAViCal CalDAV & CardDAV Server
  The DAViCal CalDAV Server is designed to store CalDAV calendars and

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs ChangeLog
 	dh_installdocs --exclude=.gitignore
 #	dh_installexamples
 #	dh_installmenu
@@ -64,6 +64,7 @@
 #	dh_link
 	dh_compress --exclude=.js
 	dh_fixperms
+	rm debian/davical/usr/share/davical/htdocs/.htaccess || true
 #	dh_perl
 #	dh_python
 #	dh_makeshlibs

## davical 1.1.3.1

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,8 @@
 clean:
 	rm -f built-docs built-po
 	-find . -name "*~" -delete
-	-rm docs/translation.pdf
-	-rm davical.spec
+	rm -f docs/translation.pdf
+	rm -f davical.spec
 
 .PHONY: clean-all
 clean-all: clean

=== debian/changelog ===
davical (1.1.3.1-1) unstable; urgency=medium

  * fix a critical typo in htdocs/always.php

 -- Florian Schlichting <fsfs@debian.org>  Tue, 07 Oct 2014 08:44:50 +0200

davical (1.1.3-1) unstable; urgency=low

  [ Andrew McMillan ]
  * New upstream release (closes: #656395, #702403, #703290, #703383, #703387,
    #740827)
  * Updated the control file Vcs-* fields to the new addresses of the
    canonical git upstream repository.
  * Removed README.Debian which didn’t contain any useful information.

  [ Florian Schlichting ]
  * Takeover for the Davical Development Team (closes: #742498)
  * Use short-form debian/rules and fix source format declaration
    (closes: #730941)
  * Clean up duplicate files (symlink identical files in api documentation)
  * debian/control: update and sort dependencies, add php5, php5-cli
    (closes: #717043), php5-curl to Recommends (closes: #656390),
    php5-ldap as Suggests (LP: #479378)
  * Add doc-base registration for api doc and website in davical-doc
  * Add a README.Debian explaining the necessary steps for a basic
    installation
  * Bump dh compat to level 9
  * Add a debian/watch file
  * Switch d/copyright to copyright-format 1.0, amend CREDITS from git log
  * Bump dependency on awl to 0.55
  * Declare compliance with Debian Policy 3.9.6
  * Upload to Debian (closes: #726577)

 -- Florian Schlichting <fsfs@debian.org>  Tue, 07 Oct 2014 00:12:13 +0200

=== debian/control ===
Source: davical
Section: web
Priority: extra
Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
Uploaders: Andrew McMillan <awm@debian.org>,
 Florian Schlichting <fsfs@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
 libawl-php (>= 0.55-1~), libawl-php (<< 0.56),
 gettext
Vcs-git: https://gitlab.com/davical-project/davical.git
Vcs-browser: https://gitlab.com/davical-project/davical
Homepage: http://www.davical.org/

Package: davical
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libawl-php (>= 0.55-1~), libawl-php (<< 0.56),
 libdbd-pg-perl,
 libyaml-perl,
 php5,
 php5-cli,
 php5-pgsql,
 postgresql-client
Recommends: php5-curl,
 postgresql
Suggests: php5-ldap
Description: PHP CalDAV and CardDAV Server
 The DAViCal CalDAV Server is designed to store CalDAV calendars and
 CardDAV addressbooks, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal, iPhone or SOHO Organizer, in a central location,
 providing shared calendars, free/busy publication and a
 basic administration interface.

Package: davical-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: PHP CalDAV and CardDAV Server - technical documentation
 The DAViCal CalDAV Server is designed to store CalDAV calendars and
 CardDAV addressbooks, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal, iPhone or SOHO Organizer, in a central location,
 providing shared calendars, free/busy publication and a
 basic administration interface.
 .
 This package contains detailed technical documentation for the
 classes and methods in the DAViCal programs. Some user-centric
 configuration documentation is also included.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	tar cJf ../davical_$(VERSION).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=debian .

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
	rm debian/davical/usr/share/davical/htdocs/.htaccess || true

=== debian/watch ===
version=3
https://gitlab.com/davical-project/davical/tags \/davical-project\/davical\/repository\/archive.tar.gz\?ref=r([\d.]*)

## davical 1.1.4

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,20 @@
 .PHONY: snapshot
 snapshot: release
 
+.PHONY: test
+test:
+	@for PHP in htdocs/*.php inc/*.php; do php5 -l $${PHP} | grep -v 'No syntax errors detected' >> test-syntax; done; \
+	    if [ -s test-syntax ]; then \
+	    	cat test-syntax >&2; \
+		rm test-syntax; \
+		exit 1; \
+	    else \
+		rm test-syntax; \
+		exit 0; \
+	   fi
+
+
+
 .PHONY: clean
 clean:
 	rm -f built-docs built-po

=== debian/changelog ===
davical (1.1.4-1ubuntu1.1) xenial; urgency=medium

  * Add missing dependency on php-xml (LP: #1610704)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 19 Sep 2016 13:02:40 +0200

davical (1.1.4-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 22 Mar 2016 16:12:39 -0700

davical (1.1.4-1) unstable; urgency=medium

  * New upstream release (closes: #703128, #703294, #703287, #656020, #764915)
  * Ship all config examples and user documentation, but remove website
    references since it was moved to its own git repository.
  * Don't run make / make built-docs during package build to avoid nasty
    surprises; files should be up-to-date in git anyway
  * Purge /etc/davical/.keep directory 
  * Clean source tree before creating orig-source tarball

 -- Florian Schlichting <fsfs@debian.org>  Mon, 11 Jan 2016 23:56:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: davical
 Section: web
 Priority: extra
-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
- libawl-php (>= 0.55-1~), libawl-php (<< 0.56),
- gettext
+ libawl-php (>= 0.56-1~), libawl-php (<< 0.57),
+ gettext,
+ php-cli,
+ rst2pdf
 Vcs-git: https://gitlab.com/davical-project/davical.git
 Vcs-browser: https://gitlab.com/davical-project/davical
 Homepage: http://www.davical.org/
@@ -15,16 +18,17 @@
 Package: davical
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- libawl-php (>= 0.55-1~), libawl-php (<< 0.56),
+ libawl-php (>= 0.56-1~), libawl-php (<< 0.57),
  libdbd-pg-perl,
  libyaml-perl,
- php5,
- php5-cli,
- php5-pgsql,
+ php,
+ php-cli,
+ php-pgsql,
+ php-xml,
  postgresql-client
-Recommends: php5-curl,
+Recommends: php-curl,
  postgresql
-Suggests: php5-ldap
+Suggests: php-ldap
 Description: PHP CalDAV and CardDAV Server
  The DAViCal CalDAV Server is designed to store CalDAV calendars and
  CardDAV addressbooks, such as those from Evolution, Sunbird/Lightning,

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	make clean
	tar cJf ../davical_$(VERSION).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=debian .

%:
	dh $@

override_dh_auto_build:
	@echo "NOTE: not calling make, do this before building the package and review / commit the result"
	make built-docs

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
	rm debian/davical/usr/share/davical/htdocs/.htaccess || true

## davical 1.1.5

=== Makefile ===
--- 
+++ 
@@ -11,18 +11,22 @@
 snapshot : issnapshot = 1
 
 .PHONY: nodocs
-nodocs: htdocs/always.php built-po
+nodocs: htdocs/always.php built-locale
 
 .PHONY: all
-all: htdocs/always.php built-docs built-po
+all: htdocs/always.php built-docs built-locale
 
-built-docs: docs/api/phpdoc.ini htdocs/*.php inc/*.php docs/translation.rst
-	phpdoc -c docs/api/phpdoc.ini || echo "NOTICE: Failed to build optional API docs"
+built-docs: docs/phpdoc.ini htdocs/*.php inc/*.php docs/translation.rst
+	apigen generate --quiet --title=DAViCal --todo --tree --deprecated -s inc -s htdocs --exclude caldav-client.php -d docs/api || phpdoc -c docs/phpdoc.ini || echo "NOTICE: Failed to build API docs"
 	rst2pdf docs/translation.rst || echo "NOTICE: Failed to build ReST docs"
 	touch $@
 
-built-po: htdocs/always.php scripts/po/rebuild-translations.sh po/*.po
-	scripts/po/rebuild-translations.sh
+built-locale: po/*.po
+	for LOCALE in `ls po/*.po | cut -f2 -d/ | cut -f1 -d.` ; do \
+	    [ "$${LOCALE}" = "en" ] && continue; \
+	    mkdir -p locale/$${LOCALE}/LC_MESSAGES; \
+	    msgfmt po/$${LOCALE}.po -o locale/$${LOCALE}/LC_MESSAGES/davical.mo; \
+	done
 	touch $@
 
 #
@@ -30,6 +34,13 @@
 #
 htdocs/always.php: inc/always.php.in scripts/build-always.sh VERSION dba/davical.sql
 	scripts/build-always.sh <$< >$@
+
+#
+# recreate translations
+#
+.PHONY: translations
+translations:
+	scripts/po/rebuild-translations.sh
 
 #
 # Build a release .tar.gz file in the directory above us
@@ -53,7 +64,7 @@
 
 .PHONY: test
 test:
-	@for PHP in htdocs/*.php inc/*.php; do php5 -l $${PHP} | grep -v 'No syntax errors detected' >> test-syntax; done; \
+	@for PHP in htdocs/*.php inc/*.php; do php -l $${PHP} | grep -v 'No syntax errors detected' >> test-syntax; done; \
 	    if [ -s test-syntax ]; then \
 	    	cat test-syntax >&2; \
 		rm test-syntax; \
@@ -67,11 +78,9 @@
 
 .PHONY: clean
 clean:
-	rm -f built-docs built-po
+	rm -f built-docs built-locale
+	rm -rf docs/api locale
+	-rm -rf testing/tests/*/diffs testing/tests/*/results testing/tests/*/initial.dbdump
 	-find . -name "*~" -delete
 	rm -f docs/translation.pdf
 	rm -f davical.spec
-
-.PHONY: clean-all
-clean-all: clean
-	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete

=== debian/changelog ===
davical (1.1.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remove use of jdupes for apidoc deduplication, it is not available in
    Jessie
  * B-D on php5-cli, alternative build-dependencies don't work

 -- Florian Schlichting <fsfs@debian.org>  Sun, 05 Feb 2017 23:31:23 +0100

davical (1.1.5-1) unstable; urgency=medium

  * New upstream release (closes: #703130, #703138, #703342)
  * Separate rebuild-translations and building locale/*po files. This should
    make davical builds reproducible.
  * Ship davical-cli in /usr/share/davical/scripts
  * Use secure URIs where possible
  * Bump years on debian/copyright
  * Bump dependency on libawl-php to 0.57
  * Make extra sure that the orig-source tarball does not contain any cruft
  * Install example configs as /etc/davical/config.php and
    /etc/apache2/sites-available/davical.conf
  * Use jdupes to remove duplicate files in davical-doc
  * Mark davical-doc "Multi-Arch: foreign" as suggested by the Multiarch
    hinter
  * Override erroneous lintian errors

 -- Florian Schlichting <fsfs@debian.org>  Mon, 23 Jan 2017 23:04:30 +0100

davical (1.1.4-3) unstable; urgency=medium

  * Add missing dependency on php-xml, which is a separate package from PHP 7

 -- Florian Schlichting <fsfs@debian.org>  Wed, 01 Jun 2016 22:18:51 +0200

davical (1.1.4-2) unstable; urgency=medium

  * Update to work with both php5 and php7, mainly based on the Ubuntu patch
    by Nishanth Aravamudan (thanks!). Closes: #821673, #821477
  * Declare compliance with Debian Policy 3.9.8

 -- Florian Schlichting <fsfs@debian.org>  Tue, 19 Apr 2016 21:52:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: davical
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
+Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
- libawl-php (>= 0.56-1~), libawl-php (<< 0.57),
+ dh-exec,
+ libawl-php (>= 0.57-1~), libawl-php (<< 0.58),
  gettext,
- php-cli,
+ php-apigen,
+ php5-cli,
  rst2pdf
 Vcs-git: https://gitlab.com/davical-project/davical.git
 Vcs-browser: https://gitlab.com/davical-project/davical
-Homepage: http://www.davical.org/
+Homepage: https://www.davical.org/
 
 Package: davical
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- libawl-php (>= 0.56-1~), libawl-php (<< 0.57),
+ libawl-php (>= 0.57-1~), libawl-php (<< 0.58),
  libdbd-pg-perl,
  libyaml-perl,
- php,
- php-cli,
- php-pgsql,
- php-xml,
+ php | php5,
+ php-cli | php5-cli,
+ php-pgsql | php5-pgsql,
+ php-xml | php5,
  postgresql-client
-Recommends: php-curl,
+Recommends: php-curl | php5-curl,
  postgresql
-Suggests: php-ldap
+Suggests: php-ldap | php5-ldap
 Description: PHP CalDAV and CardDAV Server
  The DAViCal CalDAV Server is designed to store CalDAV calendars and
  CardDAV addressbooks, such as those from Evolution, Sunbird/Lightning,
@@ -39,6 +40,7 @@
 Package: davical-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: PHP CalDAV and CardDAV Server - technical documentation
  The DAViCal CalDAV Server is designed to store CalDAV calendars and

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	make clean
	git clean -idx
	tar cJf ../davical_$(VERSION).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=debian .

%:
	dh $@

override_dh_auto_build:
	make all

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
	rm debian/davical/usr/share/davical/htdocs/.htaccess || true
	rm -f debian/davical/usr/share/doc/davical/examples/apache-davical.conf \
	      debian/davical/usr/share/doc/davical/examples/example-config.php

## davical 1.1.6

=== debian/changelog ===
davical (1.1.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Florian Schlichting <fsfs@debian.org>  Mon, 06 Nov 2017 21:06:40 +0100

davical (1.1.6-1) unstable; urgency=medium

  * New upstream release (closes: #704069, #784282, #856467)
  * Update debian/watch to match changed Gitlab download URLs
  * Update debian/rules to use dpkg variables instead of parsing
    dpkg-parsechangelog output
  * Update debian/control: Priority is optional, not extra (obsolete)
  * Declare compliance with Debian Policy 4.1.1

 -- Florian Schlichting <fsfs@debian.org>  Wed, 25 Oct 2017 11:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: davical
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9),
  dh-exec,
- libawl-php (>= 0.57-1~), libawl-php (<< 0.58),
+ jdupes,
+ libawl-php (>= 0.58-1~), libawl-php (<< 0.59),
  gettext,
  php-apigen,
- php5-cli,
+ php-cli | php5-cli,
  rst2pdf
 Vcs-git: https://gitlab.com/davical-project/davical.git
 Vcs-browser: https://gitlab.com/davical-project/davical
@@ -19,7 +20,7 @@
 Package: davical
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- libawl-php (>= 0.57-1~), libawl-php (<< 0.58),
+ libawl-php (>= 0.58-1~), libawl-php (<< 0.59),
  libdbd-pg-perl,
  libyaml-perl,
  php | php5,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

get-orig-source:
	make clean
	git clean -idx
	tar cJf ../davical_$(DEB_VERSION_UPSTREAM).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=debian .

%:
	dh $@

override_dh_auto_build:
	make all

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
	rm debian/davical/usr/share/davical/htdocs/.htaccess || true
	rm -f debian/davical/usr/share/doc/davical/examples/apache-davical.conf \
	      debian/davical/usr/share/doc/davical/examples/example-config.php

override_dh_installdocs:
	dh_installdocs
	jdupes -rl debian/davical-doc/

## davical 1.1.7

=== debian/changelog ===
davical (1.1.7-1) unstable; urgency=medium

  * New upstream release
  * Bump dependency on AWL to 0.59
  * Declare compliance with Debian Policy 4.1.3
  * Update lintian-overrides

 -- Florian Schlichting <fsfs@debian.org>  Fri, 12 Jan 2018 00:04:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Build-Depends: debhelper (>= 9),
  dh-exec,
  jdupes,
- libawl-php (>= 0.58-1~), libawl-php (<< 0.59),
+ libawl-php (>= 0.59-1~), libawl-php (<< 0.60),
  gettext,
- php-apigen,
+ doxygen,
  php-cli | php5-cli,
  rst2pdf
 Vcs-git: https://gitlab.com/davical-project/davical.git
@@ -20,7 +20,7 @@
 Package: davical
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- libawl-php (>= 0.58-1~), libawl-php (<< 0.59),
+ libawl-php (>= 0.59-1~), libawl-php (<< 0.60),
  libdbd-pg-perl,
  libyaml-perl,
  php | php5,

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,5 @@
 
 override_dh_installdocs:
 	dh_installdocs
+	find debian/davical-doc/ -name '*.md5' -delete
 	jdupes -rl debian/davical-doc/

=== debian/watch ===
version=3
https://gitlab.com/davical-project/davical/tags \/davical-project\/davical\/repository\/r([\d.]*)\/archive.tar.gz

## davical 1.1.8

=== debian/changelog ===
davical (1.1.8-1+deb10u1) buster-security; urgency=high

  * Fix three cross-site scripting and cross-site request forgery
    vulnerabilities in the web administration front-end:
    CVE-2019-18345 CVE-2019-18346 CVE-2019-18347 (closes: #946343)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 12 Dec 2019 01:08:40 +0800

davical (1.1.8-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to changed Gitlab directory layout
  * Use system perl in dba/update-davical-database
  * Bump dependency on AWL to 0.60
  * Update copyright years
  * Declare compliance with Debian Policy 4.3.0

 -- Florian Schlichting <fsfs@debian.org>  Wed, 30 Jan 2019 22:52:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9),
  dh-exec,
  jdupes,
- libawl-php (>= 0.59-1~), libawl-php (<< 0.60),
+ libawl-php (>= 0.60-1~), libawl-php (<< 0.61),
  gettext,
  doxygen,
  php-cli | php5-cli,
@@ -20,7 +20,7 @@
 Package: davical
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- libawl-php (>= 0.59-1~), libawl-php (<< 0.60),
+ libawl-php (>= 0.60-1~), libawl-php (<< 0.61),
  libdbd-pg-perl,
  libyaml-perl,
  php | php5,

## davical 1.1.9.2

=== debian/changelog ===
davical (1.1.9.2-1) unstable; urgency=medium

  * New upstream release (closes: #934106)
    + fixes CVE-2019-18345 CVE-2019-18346 CVE-2019-18347 (closes: #946343)
  * Drop dependency on rst2pdf to clear the blocker for testing migration
  * Use debian-compat dependency, level 12
  * Put API documentation into davical directory (instead of davical-doc), as
    has been suggested by policy for a while
  * Fix capitalization on Vcs- fields
  * Declare compliance with Debian Policy 4.4.1
  * Add a basic upstream metadata file, as suggested by the Debian Janitor

 -- Florian Schlichting <fsfs@debian.org>  Thu, 12 Dec 2019 00:20:46 +0800

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12),
  dh-exec,
  jdupes,
  libawl-php (>= 0.60-1~), libawl-php (<< 0.61),
  gettext,
  doxygen,
- php-cli | php5-cli,
- rst2pdf
-Vcs-git: https://gitlab.com/davical-project/davical.git
-Vcs-browser: https://gitlab.com/davical-project/davical
+ php-cli | php5-cli
+Vcs-Git: https://gitlab.com/davical-project/davical.git
+Vcs-Browser: https://gitlab.com/davical-project/davical
 Homepage: https://www.davical.org/
 
 Package: davical

=== debian/watch ===
version=3
https://gitlab.com/davical-project/davical/tags?sort=updated_desc \/davical-project\/davical\/-\/archive\/r([\d.]+)\/davical-r[\d.]+\.tar\.gz
